Skip to main content
PATCH
Update a job description's data

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer 75z0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Path Parameters

identifier
string
required

Job description identifier A random string that uniquely identify the resource.

Body

application/json

Job description data to update

A JSON-encoded string of the JobDescriptionData object.

jobTitle
object | null
contactEmail
object | null
contactName
object | null
contactPhone
object | null
startDate
object | null
endDate
object | null
jobType
object | null
languages
(object | null)[]
skills
(object | null)[]
organizationName
object | null
organizationWebsite
object | null
educationLevel
object | null
educationAccreditation
object | null
expectedRemuneration
object | null
location
object | null
certifications
(object | null)[]
yearsExperience
object | null
{key}

For custom fields. E.g. 'isAvailable': true

Response

object | null

Successfully updated job description data

jobTitle
object | null
contactEmail
object | null
contactName
object | null
contactPhone
object | null
startDate
object | null
endDate
object | null
jobType
object | null
languages
(object | null)[]
skills
(object | null)[]
organizationName
object | null
organizationWebsite
object | null
educationLevel
object | null
educationAccreditation
object | null
expectedRemuneration
object | null
location
object | null
certifications
(object | null)[]
yearsExperience
object | null
rawText
string

All of the raw text of the parsed job description, example is shortened for readability

Example:

"Human Resources Assistant Switzerland '... <rest of job description text>'"

{key}

For custom fields. E.g. 'isAvailable': true